<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Flat Annotes</TITLE>
<link href="suif1_72.html" rel=Next>
<link href="suif1_70.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_70.html">previous</A>, <A HREF="suif1_72.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC71" HREF="suif1_toc.html#TOC71">Flat Annotations</A></H2>
<P>
<A NAME="IDX552"></A>
<A NAME="IDX553"></A>

</P>
<P>
The simplest type of annotation is a <STRONG>flat annotation</STRONG>.  The data in
a flat annotation is a pointer to a list of <CODE>immed</CODE> values.
See section <A HREF="suif1_100.html#SEC100">Immediate Values</A>.  By default, annotations read from an input file are flat
annotations.  That is, if a SUIF input file contains an annotation with
a name that has not yet been registered, the SUIF library will
automatically register it as a flat annotation.

</P>
<P>
When creating new flat annotations, you may specify both the annotation
name and a pointer to an <CODE>immed</CODE> list.  In many cases, however, it
is more convenient to only provide the annotation name and let the
annotation constructor automatically fill the data field with a pointer
to a new list.

</P>
<P>
For flat annotations, the <CODE>immeds</CODE> method merely provides a
shortcut for accessing the data by casting it to an <CODE>immed_list</CODE>
pointer.  Similarly, the <CODE>set_immeds</CODE> method is functionally
equivalent to <CODE>set_data</CODE> in this case.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_70.html">previous</A>, <A HREF="suif1_72.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
